Last Comment Bug 735766 - (LA-seoquake-seo-exte) SeoQuake add-on creates zombie compartments
(LA-seoquake-seo-exte)
: SeoQuake add-on creates zombie compartments
Status: RESOLVED FIXED
[MemShrink:P3]
:
Product: Tech Evangelism
Classification: Other
Component: Add-ons (show other bugs)
: unspecified
: All All
: P3 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
https://addons.mozilla.org/addon/seoq...
Depends on:
Blocks: LeakyAddons ZombieCompartments
  Show dependency treegraph
 
Reported: 2012-03-14 11:01 PDT by Kris Maglione [:kmag]
Modified: 2012-04-10 07:17 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Kris Maglione [:kmag] 2012-03-14 11:01:37 PDT
The SeoQuake add-on creates a single zombie compartment for every page it analyzes. Viewing a new page causes the previous zombie compartment to disappear. No special steps to reproduce are required. Simply installing the extension is enough.

Author CCed.
Comment 1 Andrew Williamson [:eviljeff] 2012-03-28 09:40:17 PDT
SeoQuake Developer(s): is there any update you can give us on your progress in fixing this memory leak?
Comment 2 Nick Pershin 2012-03-29 00:43:49 PDT
Sure, Andrew, the fix will be included into our next scheduled release.
Comment 3 Andrew Williamson [:eviljeff] 2012-03-29 03:15:36 PDT
(In reply to Nick Pershin from comment #2)
> Sure, Andrew, the fix will be included into our next scheduled release.

Excellent; do you know when this will be (so I know when to check back on this bug)?
Comment 4 Nick Pershin 2012-03-29 06:20:46 PDT
Approximately you can check this bug again in two and a half months, Andrew.
Comment 5 Andrew Williamson [:eviljeff] 2012-03-29 10:38:13 PDT
(In reply to Nick Pershin from comment #4)
> Approximately you can check this bug again in two and a half months, Andrew.

Hi Nick, while I appreciate you have a release schedule and need to time to QA, etc, 2 and a half months is a rather long time.  Would you be able to issue an interim release to just fix this issue in the next 2 weeks?  If its not possible we will downgrade the add-on in the mean time to preliminary reviewed to reduce the number of new users it impacts.
Comment 6 Nick Pershin 2012-04-02 07:33:09 PDT
(In reply to Andrew Williamson [:eviljeff] from comment #5)
> Hi Nick, while I appreciate you have a release schedule and need to time to
> QA, etc, 2 and a half months is a rather long time.  Would you be able to
> issue an interim release to just fix this issue in the next 2 weeks?  If its
> not possible we will downgrade the add-on in the mean time to preliminary
> reviewed to reduce the number of new users it impacts.

OK, we'll try to release this fix asap.
Comment 7 Nick Pershin 2012-04-10 04:53:37 PDT
Hello,
we've added the SEOquake 2.8.2 release (this bugfix incl.) to the Mozilla repository.
Apparently all the zombie compartments from our side are prevented.
Could you approve it ASAP to close this bug?
Comment 8 Andrew Williamson [:eviljeff] 2012-04-10 07:17:43 PDT
Memory leak doesn't exist in 2.8.2 so marking as fixed.

Note You need to log in before you can comment on or make changes to this bug.